# CONTRIBUTING

We appreciate and welcome contributions from the community to enhance the features and overall quality of DataSmith. Whether you're a developer, tester, or enthusiastic user, there are several ways you can contribute:

## Creating Issues

If you encounter a bug, have a feature request, or want to suggest improvements, please [create an issue]( https://gitlab.ard.de/apps/datasmith/-/issues/new) on our Gitlab repository. When creating an issue, provide detailed information about the problem or enhancement you're addressing. This includes steps to reproduce the issue and any relevant context that can help our team understand and address it effectively.

## Pull Requests

If you'd like to contribute code, documentation, or fixes, we encourage you to submit a pull request. Before creating a pull request, please:

1. Fork the repository.
2. Create a new branch for your changes.
3. Make your modifications, ensuring adherence to our coding standards.
4. Write tests for new features or modifications.
5. Ensure all tests pass.
6. Update the version.yml file
7. Update this README if necessary
8. Submit a merge request to the `main` branch of the repository.

We'll review your pull request, provide feedback, and work with you to ensure that your contribution aligns with the project's goals and standards.
