# DataSmith

Create a Database from Scratch using a CLI like angular ng.


## Installation

```bash
  sudo apt-get install git
```

```bash
git https://gitlab.ard.de/apps/datasmith.git
cd datasmith
go build -o ds
ln -s $PWD/ds /usr/local/bin/ds
chmod +x /usr/local/bin/ds
```

## Usage

```bash
ds
```

### Create a new project

```bash
ds init
```

### Add a new table

```bash
ds add
```

```bash
ds add "Table Name"
```

```bash
ds add users --model '{"fields":[{"name":"id","type":"INT","primary_key":true,"auto_increment":true,"not_null":true},{"name":"name","type":"VARCHAR(255)","unique":true,"not_null":true},{"name":"email","type":"VARCHAR(255)","unique":true,"not_null":true},{"name":"created_at","type":"DATETIME","not_null":true,"default_value":"CURRENT_TIMESTAMP"}]}'
```

## Contributing

We welcome contributions from the community! If you'd like to contribute to DataSmith, please follow [these guidelines](CONTRIBUTING.md) to help us ensure that your changes are successfully integrated into the project.

## License

BuzzBoard Database is licensed under the [MIT License](LICENSE.md). Feel free to use, modify, and distribute it according to your needs.

## Authors

- **[Dominik Sigmund](https://gitlab.ard.de/dominik.sigmund)** - Lead Developer

## Acknowledgments

We appreciate the collaborative efforts that have contributed to the success of DataSmith. We'd like to thank the following individuals and organizations for their support and contributions:

- (none yet, but you could be the first!)

## Support

If you can't find a solution to your issue in the documentation, feel free to reach out to us for assistance. We offer support through the following channels:

- **Email:** For non-urgent matters or if you prefer email communication, you can reach us at [apps.datasmith@br.de](mailto:buzzboard@br.de). Please provide detailed information about your issue so that we can assist you more effectively.

## Important Note

When seeking support, make sure to include the following information in your message:

1. A detailed description of the issue you're facing.
2. Steps to reproduce the problem (if applicable).
3. Relevant configuration details.
4. Any error messages or logs related to the issue.

This information will help us understand your situation better and provide a more accurate and timely response.

Thank you for choosing DataSmith!! We're committed to ensuring you have a positive experience, and we appreciate your cooperation in following these support guidelines.
